
Redmine - Patch #16002

Assigned-to-my-group css corrupts user.groups association cache

2014-01-30 19:16 - Massimo Rossello

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Groups Estimated time: 0.00 hour

Target version:    

Description

r12006 made for issue #12681 generated a corruption in association caches for using an assignment '=' instead of equality '=='.

Therefore 

User.current.groups.map(&:id)

 then returns an array of nils (most probably).

Attached the patch.

Regards,

Massimo

Related issues:

Has duplicate Redmine - Defect #16038: Issue#css_classes corrupts user.groups... Closed

History

#1 - 2014-02-06 16:33 - Massimo Rossello

- Status changed from New to Resolved

Solved in r12844.

Related to hidden issue (private?) #16038

#2 - 2014-02-06 19:05 - Jean-Philippe Lang

- Has duplicate Defect #16038: Issue#css_classes corrupts user.groups association cache added

#3 - 2014-02-28 05:15 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Files

assigned-to-my-group-css.patch 517 Bytes 2014-01-30 Massimo Rossello
